set status [ SclFunction "RECALL ANY FILE" {
  file="surpac_training.ddb"
  mode="openInNewLayer"
}]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set status [ SclFunction "GET DATABASE HANDLE" {
  sessionType="GeologyDatabase"
  DatabaseHandle="GEOLOGY"
  DatabaseType="drillholes"
  DatabaseName="surpac_training"
  result=1
}]

set status [ SclFunction "DRILLHOLE ATTRIBUTES" {
  _action="display"
  trace_colour="forest green"
  trace_thickness="1"
  table="sample"
  field="gold"
  tick_mark_weight="1"
  rescale="true"
  add_constraint="false"
  cylinder_style="variable width"
  cylinder_radius="1.000"
  cylinder_maximum="50.0"
  show_collars="true"
}]

set status [ SclFunction "DRILLHOLE COLLARS" {
  show_collars="true"
  collar_marker="(+)"
  collar_marker_size="0.5"
  position="along path"
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE GEOLOGY" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE LABELS" {
  tick_length="1.0"
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE GRAPHS" {
  num_rows="0"
}]

set status [ SclFunction "DRILLHOLE DEPTH MARKERS" {
  position="left"
  offset="5.0"
  decimals="2"
  use_styles="false"
  colour=""
  font_style="Default"
  font_size="1.000"
  font_units="oru"
  alignment="right"
  major="10.0"
  minor="0.0"
  display="false"
  major_length="3.0"
  minor_length="1.0"
}]

set status [ SclFunction "DRILLHOLE APPARENT DIP MARKERS" {
  num_rows="0"
}]

puts  ""
puts  ""
puts  "Macro 03b_display_cylinders.tcl completed."
puts  ""